# transaddr.h File Reference

`#include <opal/buildopts.h>`
`#include <ptlib/sockets.h>`
`#include <opal/transports.h>`

Go to the source code of this file.

## Classes

class | H323TransportAddress

## Typedefs

typedef OpalListener | H323Listener
typedef PList< H323Listener > | H323ListenerList
typedef OpalTransport | H323Transport
typedef OpalTransportUDP | H323TransportUDP

## Functions

| H323TransportAddressArray (const OpalTransportAddress &address)
| H323TransportAddressArray (const H323TransportAddress &address)
| H323TransportAddressArray (const H225_ArrayOf_TransportAddress &addresses)
| H323TransportAddressArray (const OpalTransportAddressArray &array)
| H323TransportAddressArray (const PStringArray &array)
| H323TransportAddressArray (const PStringList &list)
| H323TransportAddressArray (const PSortedStringList &list)
void | AppendString (const char *address)
void | AppendString (const PString &address)
void | AppendAddress (const H323TransportAddress &address)
void | AppendStringCollection (const PCollection &coll)
void | H323SetTransportAddresses (const H323Transport &associatedTransport, const H323TransportAddressArray &addresses, H225_ArrayOf_TransportAddress &pdu)
| __H323_TRANSADDR_H

## Typedef Documentation

typedef OpalListener H323Listener

typedef PList<H323Listener> H323ListenerList

typedef OpalTransport H323Transport

typedef OpalTransportUDP H323TransportUDP

## Function Documentation

void AppendAddress | ( | const H323TransportAddress & | address | ) |

void AppendString | ( | const PString & | address | ) |

void AppendString | ( | const char * | address | ) |

void AppendStringCollection | ( | const PCollection & | coll | ) | `[protected]`

void H323SetTransportAddresses | ( | const H323Transport & | associatedTransport,
|  | const H323TransportAddressArray & | addresses,
|  | H225_ArrayOf_TransportAddress & | pdu |
| ) |  |  | `[protected]`

__H323_TRANSADDR_H

Set the PDU field for the list of transport addresses

Parameters:

  associatedTransport | Transport for NAT address translation
  addresses | Addresses to set
  pdu | List of PDU transport addresses

H323TransportAddressArray | ( | const PSortedStringList & | list | ) |

H323TransportAddressArray | ( | const PStringList & | list | ) |

H323TransportAddressArray | ( | const PStringArray & | array | ) |

H323TransportAddressArray | ( | const OpalTransportAddressArray & | array | ) |

H323TransportAddressArray | ( | const H225_ArrayOf_TransportAddress & | addresses | ) |

H323TransportAddressArray | ( | const H323TransportAddress & | address | ) |

H323TransportAddressArray | ( | const OpalTransportAddress & | address | ) |